Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223747 - Bugzilla cron jobs should run automatically
Summary: Bugzilla cron jobs should run automatically
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Berninger
QA Contact: Fedora Extras Quality Assurance
URL: http://www.bugzilla.org/docs/2.22/htm...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 04:14 UTC by Bradley
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-31 22:11:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 368250 None None None Never

Description Bradley 2007-01-22 04:14:25 UTC
Description of problem:

Bugzilla comes with several scripts that are meant to be run regularly. These are:

 - collectstats.pl, that is meant to be run from cron daily as the webserver
user to generate graph/reporting stuff
 - whine.pl, to be run every 15 minutes

(whineatnew.pl mentioned in the docs is obsolete, replaced by the web-based
per-user stuff in whine.pl)

A crontab entry should be created to run these. Note that they need to be run as
the webserver user, so that permissions are correct on the generated files.

Version-Release number of selected component (if applicable):

bugzilla-2.22-7.fc6

How reproducible:

Always

Steps to Reproduce:
1. Install bugzilla RPM
2. Try to view reports/get whinemails
  
Actual results:

Get error that file doesn't exist/don't get whines

Expected results:

See data, and get whine mails

Additional info:

See http://www.bugzilla.org/docs/2.22/html/extraconfig.html

Comment 1 John Berninger 2007-01-23 00:22:12 UTC
Scripts in place in cron.daily, cron.d - new packages built.

Comment 2 Bradley 2007-01-23 00:45:47 UTC
That won't work - it needs to run from /usr/share/bugzilla, with that as the
CWD, too.

Copying collectstats like that also has the problem that it needs to run as the
apache user to have the permissions on the created files end up correct.

Comment 3 Bradley 2007-01-23 22:01:03 UTC
Actually, there does seem to be something odd wrt permissions, and the initial
running vs later ones....

Let me follow it up upstream first...

Comment 4 John Berninger 2007-01-23 22:09:52 UTC
Let me know what upstream tells you - I'm setting this NEEDINFO until you get
word back from upstream.

Comment 5 Bradley 2007-01-26 01:19:53 UTC
OK, so the scripts do need to be run as root, but that will cause problems for
the initial creation - a checksetup.pl run will fix that, but I've raised that
upstream. Hopefully will have a patch shortly.

It does, however, need to run with CWD as /usr/share/bugzilla/, so the copying
is wrong.

Comment 6 John Berninger 2007-01-27 17:08:28 UTC
Cron job created, seems to run correctly for me.  Please verify 2.22-10 fixes
this issue.


Note You need to log in before you can comment on or make changes to this bug.